<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v1.6 www.exoops.info 2006/03 
// $Id: waiting.inc.php,v 1.5 2003/07/06 16:27:59 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Half-Dead
// Author Website : http://www.e-xoops.com
// License Type   : LGPL: See /manual/LICENSES/LGPL.txt
// ------------------------------------------------------------------------- //
//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function adresses_waiting() {
global $db,$bcoosConfig;
$count   = 0;
$waiting = array();
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("adresses_adresses")." WHERE status=0");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/adresses/admin/index.php?op=listNewadresses";
		$waiting[$count]['text']  = _MB_SYSTEM_WADRESS;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
// Not active within adresses //
//$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("adresses_broken")."");
//if ($result) {
//	list($num) = $db->fetch_row($result);
//	$num = intval($num);
//	if ($num > 0) {
//		$waiting[$count]['image'] = XOOPS_URL.'/images/menu/pointer.gif';
//		$waiting[$count]['link']  = XOOPS_URL.'/modules/adresses/admin/index.php?op=listBrokenadresses';
//		$waiting[$count]['text']  = _MB_SYSTEM_BADRESSES;
//		$waiting[$count]['count'] = $num;
//		$count++;
//	}
//}
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("adresses_mod")."");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/adresses/admin/index.php?op=listModReq";
		$waiting[$count]['text']  = _MB_SYSTEM_MADRESS;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
return $waiting;
}
?>
